Public Member Functions | Data Fields | Static Public Attributes

# GameSettingsWindow Struct Reference

Inheritance diagram for GameSettingsWindow:

## Public Member Functions
| GameSettingsWindow (const WindowDesc *desc)
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual void | OnPaint ()
virtual void | SetStringParameters (int widget) const
DropDownList * | BuildDropDownList (int widget) const
virtual void | DrawWidget (const Rect &r, int widget) const
void | SetDisplayedHelpText (SettingEntry *pe)
| Set the entry that should have its help text displayed, and mark the window dirty so it gets repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
virtual void | OnTimeout ()
virtual void | OnQueryTextFinished (char *str)
virtual void | OnDropdownSelect (int widget, int index)
virtual void | OnDropdownClose (Point pt, int widget, int index, bool instant_close)
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
virtual void | OnMouseLoop ()
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
virtual void | OnOSKInput (int wid)
| Callback for when on input has been entered with the OSK.
virtual void | OnResize ()
## Data Fields
SettingEntry * | valuewindow_entry
| If non-NULL, pointer to setting for which a value-entering window has been opened.
SettingEntry * | clicked_entry
| If non-NULL, pointer to a clicked numeric setting (with a depressed left or right button).
SettingEntry * | last_clicked
| If non-NULL, pointer to the last clicked setting.
SettingEntry * | valuedropdown_entry
| If non-NULL, pointer to the value for which a dropdown window is currently opened.
bool | closing_dropdown
| True, if the dropdown list is currently closing.
StringFilter | string_filter
| Text filter for settings.
bool | manually_changed_folding
| Whether the user expanded/collapsed something manually.
RestrictionMode | cur_restriction_mode
| Currently selected index of the drop down list for the restrict drop down.
Scrollbar * | vscroll
## Static Public Attributes
static const int | SETTINGTREE_LEFT_OFFSET = 5
| Position of left edge of setting values.
static const int | SETTINGTREE_RIGHT_OFFSET = 5
| Position of right edge of setting values.
static const int | SETTINGTREE_TOP_OFFSET = 5
| Position of top edge of setting values.
static const int | SETTINGTREE_BOTTOM_OFFSET = 5
| Position of bottom edge of setting values.
static GameSettings * | settings_ptr = NULL
| Pointer to the game settings being displayed and modified.

## Detailed Description

Definition at line 1974 of file settings_gui.cpp.

## Member Function Documentation

virtual void GameSettingsWindow::OnOSKInput | ( | int | wid | ) | `[inline, virtual]`

Callback for when on input has been entered with the OSK.

Parameters:

  | wid | The widget the OSK was attached to.

Reimplemented from QueryStringBaseWindow.

Definition at line 2440 of file settings_gui.cpp.

References QueryStringBaseWindow::edit_str_buf, Window::InvalidateData(), StringFilter::IsEmpty(), manually_changed_folding, StringFilter::SetFilterTerm(), string_filter, and SettingsPage::UnFoldAll().

void GameSettingsWindow::SetDisplayedHelpText | ( | SettingEntry * | pe | ) | `[inline]`

Set the entry that should have its help text displayed, and mark the window dirty so it gets repainted.

Parameters:

  | pe | Setting to display help text of, use `NULL` to stop displaying help of the currently displayed setting.

Definition at line 2137 of file settings_gui.cpp.

References last_clicked, and Window::SetDirty().

The documentation for this struct was generated from the following file:

- src/settings_gui.cpp